=== debian/changelog ===
ros-noetic-moveit-ros-planning (1.1.11-1buster) buster; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.9-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.8-1buster) buster; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)
  * ``RDFLoader``: clear buffer before reading content (#2963 <https://github.com/ros-planning/moveit/issues/2963>)
  * Reset markers on ``display_contacts`` topic for a new planning attempt (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
  * Contributors: Colin Kohler, Jafar Abdi, Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Split ``CollisionPluginLoader`` (#2834 <https://github.com/ros-planning/moveit/issues/2834>)To avoid circular dependencies, but enable reuse of the ``CollisionPluginLoader``, the non-ROS part was moved into ``moveit_core/moveit_collision_detection.so``
    and the ROS part (reading the plugin name from the parameter server) into ``moveit_ros_planning/moveit_collision_plugin_loader.so`` (as before).
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix RDFLoader: uninitialized member (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * PSM: Read padding parameters from correct namespace (#2706 <https://github.com/ros-planning/moveit/issues/2706>)
  * Load ``max_safe_path_cost`` into namespace ``sense_for_plan`` (#2703 <https://github.com/ros-planning/moveit/issues/2703>)
  * Fix order of member initialization (#2687 <https://github.com/ros-planning/moveit/issues/2687>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Felix von Drigalski, Martin Günther, Mathias Lüdtke, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar, werner291

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.5-1buster) buster; urgency=high

  * Revert "Lock the octomap/octree while collision checking (#2683 <https://github.com/ros-planning/moveit/issues/2683>)
  * Unify and simplify CSM::haveCompleteState overloads (#2663 <https://github.com/ros-planning/moveit/issues/2663>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.4-1buster) buster; urgency=high

  * Lock the octomap/octree while collision checking (#2596 <https://github.com/ros-planning/moveit/issues/2596>)
  * Use private NodeHandle instead of child for PlanningPipeline topics (#2652 <https://github.com/ros-planning/moveit/issues/2652>)
  * Print an error if the planning pipelines are empty (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
  * Simplify logic in PSM (#2632 <https://github.com/ros-planning/moveit/issues/2632>)
  * Contributors: Henning Kayser, Luc Bettaieb, Michael Görner, Simon Schmeisser, Rojas Rafael

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000


