## ros-noetic-moveit-ros-planning 1.1.13

=== moveit_cpp/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,6 @@
 add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})
 
 if (CATKIN_ENABLE_TESTING)
-  find_package(moveit_resources_panda_moveit_config REQUIRED)
   find_package(rostest REQUIRED)
 
   add_rostest_gtest(moveit_cpp_test test/moveit_cpp_test.test test/moveit_cpp_test.cpp)
