=== debian/control ===
Source: ros-noetic-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-srdfdom, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-dynamic-reconfigure, ros-noetic-message-filters, ros-noetic-moveit-core, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-occupancy-map-monitor, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-srdfdom, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-msgs, ros-noetic-tf2-ros, ros-noetic-urdf
Conflicts: ros-noetic-moveit-ros-planning-interface (<< 1.1.2)
Replaces: ros-noetic-moveit-ros-planning-interface (<< 1.1.2)
Description: Planning components of MoveIt that use ROS
